> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Survey

> Download or update the survey as JSON as it is built by the Portfolio settings

The PATCH method will allow a developer to tweak some of the settings that build
the structure of the survey and immediately get back the new survey structure



## OpenAPI

````yaml api-reference/openapi.yaml patch /api/v1/portfolios/{id}/survey/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/portfolios/{id}/survey/:
    patch:
      tags:
        - Portfolios
      summary: Survey
      description: >-
        Download or update the survey as JSON as it is built by the Portfolio
        settings


        The PATCH method will allow a developer to tweak some of the settings
        that build

        the structure of the survey and immediately get back the new survey
        structure
      operationId: portfolios_survey_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedSurvey'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Survey'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PatchedSurvey:
      type: object
      description: >-
        This serializer is mostly built within the Survey.to_serializer() method

        because it is NOT a model serializer and its properties are set menually

        by that controlling object.


        The serializer allows READ on many properties including the JSON
        representation of the survey.

        It also allows WRITE on some of the portfolio properties that influence
        the survey structure.


        __If you make changes to the fields here, you should also look

        at the Survey.get_serializer_data() method to see if you need to update
        that as well__
      properties:
        mona_version:
          allOf:
            - $ref: '#/components/schemas/Version'
          readOnly: true
        apex_questions:
          type: array
          items:
            type: string
            maxLength: 1000
          readOnly: true
        survey_brand_name:
          type: string
          readOnly: true
          maxLength: 200
        audience_fee_language:
          $ref: '#/components/schemas/AudienceFeeLanguageEnum'
        audience_interacts_with_staff:
          type: boolean
        audience_pays_directly:
          type: boolean
        audience_type:
          type: integer
          readOnly: true
        audience_type_str:
          $ref: '#/components/schemas/AudienceTypeStrEnum'
        survey_config_confirmed:
          type: boolean
        survey_override_brand_name:
          type: string
          maxLength: 200
    Survey:
      type: object
      description: >-
        This serializer is mostly built within the Survey.to_serializer() method

        because it is NOT a model serializer and its properties are set menually

        by that controlling object.


        The serializer allows READ on many properties including the JSON
        representation of the survey.

        It also allows WRITE on some of the portfolio properties that influence
        the survey structure.


        __If you make changes to the fields here, you should also look

        at the Survey.get_serializer_data() method to see if you need to update
        that as well__
      properties:
        mona_version:
          allOf:
            - $ref: '#/components/schemas/Version'
          readOnly: true
        apex_questions:
          type: array
          items:
            type: string
            maxLength: 1000
          readOnly: true
        survey_brand_name:
          type: string
          readOnly: true
          maxLength: 200
        audience_fee_language:
          $ref: '#/components/schemas/AudienceFeeLanguageEnum'
        audience_interacts_with_staff:
          type: boolean
        audience_pays_directly:
          type: boolean
        audience_type:
          type: integer
          readOnly: true
        audience_type_str:
          $ref: '#/components/schemas/AudienceTypeStrEnum'
        survey_config_confirmed:
          type: boolean
        survey_override_brand_name:
          type: string
          maxLength: 200
      required:
        - apex_questions
        - audience_type
        - mona_version
        - survey_brand_name
    Version:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          readOnly: true
        audience:
          type: string
        audience_type:
          allOf:
            - $ref: '#/components/schemas/AudienceTypeEnum'
          default: 1
          minimum: -2147483648
          maximum: 2147483647
        sequence:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - audience
        - id
        - name
        - sequence
    AudienceFeeLanguageEnum:
      enum:
        - fees
        - prices
      type: string
      description: |-
        * `fees` - fees
        * `prices` - prices
    AudienceTypeStrEnum:
      enum:
        - customers
        - employees
        - donors
        - media
        - gathering 2024 lecturees
      type: string
      description: |-
        * `customers` - customers
        * `employees` - employees
        * `donors` - donors
        * `media` - media
        * `gathering 2024 lecturees` - gathering 2024 lecturees
    AudienceTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
      type: integer
      description: |-
        * `0` - None
        * `1` - Customers
        * `2` - Employees
        * `3` - Donors
        * `4` - Media
        * `5` - Gathering 2024 Lecturees
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````